Autom

Google Videos

Search Google Videos via API and retrieve structured video results with metadata.

Credit cost: 1 credit per call

GET
/v1/google/videos

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.autom.dev/v1/google/videos"

{
  "organic_results": [
    {
      "date": "3 days ago",
      "link": "https://www.youtube.com/watch?v=aPrC0eXns9w",
      "title": "Why Paris Is Extending One Of Its Metro Lines...",
      "domain": "www.youtube.com",
      "source": "YouTube",
      "channel": "The Tim Traveller",
      "snippet": "Paris is about to open its first urban cable car line.",
      "duration": "4:19",
      "position": 2,
      "video_id": "aPrC0eXns9w"
    }
  ],
  "search_parameters": {
    "q": "paris",
    "gl": "us",
    "hl": "en",
    "page": 1,
    "engine": "google_videos"
  }
}

{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}